Badger::Codec::Storable(3pm)

NAME
Badger::Codec::Storable - encode/decode data using Storable

SYNOPSIS
    use Badger::Codec::Storable;

    my $codec = Badger::Codec::Storable->new();
    my $enc   = $codec->encode({ pi => 3.14, e => 2.718 });
    my $dec   = $codec->decode($encoded);

DESCRIPTION
This module implements a subclass of Badger::Codec which uses the freeze() and thaw() subroutines provided by the Storable module to encode and decode data.

It a very thin wrapper around the Storable module and offers no functional advantage over it. It exist only to provide a consistent API with other Badger::Codec modules.

METHODS

  encode($data)
Encodes the data referenced by the first argument using freeze().

    $encoded = Badger::Codec::Storable->encode($data);

  decode($html)
Decodes the encoded data passed as the first argument using thaw().

    $decoded = Badger::Codec::Storable->decode($encoded);

  encoder()
This method returns a reference to the real subroutine that's doing all the encoding work, i.e. the freeze() method in Storable.

  decoder()
This method returns a reference to the real subroutine that's doing all the decoding work, i.e. the thaw() method in Storable.

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2005-2009 Andy Wardley. All rights reserved.

SEE ALSO
Badger::Codec, Storable